
#include <iostream>
#include "mpi.h"

using namespace std;

int main (int argc, char *argv[])
{
  MPI_Init(&argc, &argv);
  MPI_Errhandler_set(MPI_COMM_WORLD, MPI_ERRORS_RETURN);

  MPI_Info         info ;
  MPI_Info_create(&info);
  MPI_File            fh;

  if (const int stat = MPI_File_open
    (MPI_COMM_SELF, "File_Test.txt", MPI_MODE_WRONLY | MPI_MODE_CREATE, info, &fh))
    cerr<< "Error in MPI_File_open"<< stat<<endl;

  MPI_Finalize();
}
